Xeonr Developer Docs
API SpecificationInternal Uploads

Update upload (internal)

POST
/uplim.api.v1.InternalUploadsService/UpdateUpload

Updates an upload with processing results including validation, metadata, AI analysis, and virus scan. Used by the media pipeline.

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token obtained via OAuth2 flow or service account

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

updateToken?string
validation?|null
metadata?|null
hasVirus?boolean|null
aiMetadata?|null
hasThumbnail?boolean|null
thumbnailGenerationVersion?integer|null
aiDescriptionGenerationVersion?integer|null
aiTagsGenerationVersion?integer|null
virusScanGenerationVersion?integer|null
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.InternalUploadsService/UpdateUpload" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}